problems with YAML::XS using cpan

Posted by memo.garciasir on 2008-11-24 12:04
Forums: PPM | OS: Windows

Hi,
I have just installed Activestate Perl and when trying to get information about modules (i/module/) or installing a module (install module), I'm getting an error message like:

Alert: While trying to 'parse' YAML file
'C:\Perl\cpan\FTPstats.yml'
with 'YAML::XS' the following error was encountered:
Usage: YAML::XS::LibYAML::Load(yaml_str) at C:\Perl\lib/YAML/XS.pm line 70.

I'm currently using version 0.27 of YAML::XS, but I can't upgrade to new version 0.29.

thanks,

memo garcia

Leroy.Janda_fro... | Tue, 2009-01-06 09:48

I get the same exact error. version 27 is in perl area, and 29 only upgrades to site area.

I was trying net::ftpssl, got the error, exited cpan, and one of the retries did work.

memo.garciasir | Tue, 2009-01-06 10:12

Deleting the file C:\Perl\cpan\FTPstats.yml each time the error arise let me work around the problem